Service (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.win32
Class Service

    java.lang.Object
      org.hyperic.sigar.win32.Win32
          org.hyperic.sigar.win32.Service

    public class Service

extends Win32

Field Summary
`static int` | `SERVICE_CONTINUE_PENDING`
`static int` | `SERVICE_PAUSE_PENDING`
`static int` | `SERVICE_PAUSED`
`static int` | `SERVICE_RUNNING`
`static int` | `SERVICE_START_PENDING`
`static int` | `SERVICE_STOP_PENDING`
`static int` | `SERVICE_STOPPED`

Fields inherited from class org.hyperic.sigar.win32.Win32
`EXE_EXT`

Constructor Summary
`Service(java.lang.String serviceName)`

Method Summary
`void` | `close()`
`static Service` | `create(ServiceConfig config)`
`void` | `delete()`
`protected void` | `finalize()`
`ServiceConfig` | `getConfig()`
`static java.util.List` | `getServiceConfigs(Sigar sigar, java.lang.String exe)`
`static java.util.List` | `getServiceConfigs(java.lang.String exe)` Deprecated.
`static java.util.List` | `getServiceNames()`
`static java.util.List` | `getServiceNames(Sigar sigar, java.lang.String ptql)`
`int` | `getStatus()`
`java.lang.String` | `getStatusString()`
`void` | `list(java.io.PrintStream out)`
`static void` | `main(java.lang.String[] args)`
`void` | `pause()`
`void` | `pause(long timeout)`
`void` | `resume()`
`void` | `setDescription(java.lang.String description)`
`void` | `start()`
`void` | `start(long timeout)`
`int` | `status()` Deprecated.
`void` | `stop()`
`void` | `stop(long timeout)`
`void` | `stopAndWait(long timeout)` Deprecated.

Methods inherited from class org.hyperic.sigar.win32.Win32
`findExecutable, findScriptExecutable, getFileVersion`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_STOPPED

    public static final int SERVICE_STOPPED

See Also:
  Constant Field Values

### SERVICE_START_PENDING

    public static final int SERVICE_START_PENDING

See Also:
  Constant Field Values

### SERVICE_STOP_PENDING

    public static final int SERVICE_STOP_PENDING

See Also:
  Constant Field Values

### SERVICE_RUNNING

    public static final int SERVICE_RUNNING

See Also:
  Constant Field Values

### SERVICE_CONTINUE_PENDING

    public static final int SERVICE_CONTINUE_PENDING

See Also:
  Constant Field Values

### SERVICE_PAUSE_PENDING

    public static final int SERVICE_PAUSE_PENDING

See Also:
  Constant Field Values

### SERVICE_PAUSED

    public static final int SERVICE_PAUSED

See Also:
  Constant Field Values

Constructor Detail

### Service

    public Service(java.lang.String serviceName)
            throws Win32Exception

Throws:
  `Win32Exception`

Method Detail

### getServiceNames

    public static java.util.List getServiceNames(Sigar sigar,
                                                 java.lang.String ptql)
                                          throws Win32Exception

  Throws:
    `Win32Exception`

### getServiceNames

    public static java.util.List getServiceNames()
                                          throws Win32Exception

  Throws:
    `Win32Exception`

### getServiceConfigs

    public static java.util.List getServiceConfigs(Sigar sigar,
                                                   java.lang.String exe)
                                            throws Win32Exception

  Throws:
    `Win32Exception`

### getServiceConfigs

    public static java.util.List getServiceConfigs(java.lang.String exe)
                                            throws Win32Exception

  Deprecated.

  Throws:
    `Win32Exception`

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

### close

    public void close()

### create

    public static Service create(ServiceConfig config)
                          throws Win32Exception

  Throws:
    `Win32Exception`

### delete

    public void delete()
                throws Win32Exception

  Throws:
    `Win32Exception`

### setDescription

    public void setDescription(java.lang.String description)

### status

    public int status()

  Deprecated.

  See Also:
    `getStatus()`

### getStatus

    public int getStatus()

### getStatusString

    public java.lang.String getStatusString()

### stop

    public void stop()
              throws Win32Exception

  Throws:
    `Win32Exception`

### stopAndWait

    public void stopAndWait(long timeout)
                     throws Win32Exception

  Deprecated.

  Throws:
    `Win32Exception`

### stop

    public void stop(long timeout)
              throws Win32Exception

  Throws:
    `Win32Exception`

### start

    public void start()
               throws Win32Exception

  Throws:
    `Win32Exception`

### start

    public void start(long timeout)
               throws Win32Exception

  Throws:
    `Win32Exception`

### pause

    public void pause()
               throws Win32Exception

  Throws:
    `Win32Exception`

### pause

    public void pause(long timeout)
               throws Win32Exception

  Throws:
    `Win32Exception`

### resume

    public void resume()
                throws Win32Exception

  Throws:
    `Win32Exception`

### getConfig

    public ServiceConfig getConfig()
                            throws Win32Exception

  Throws:
    `Win32Exception`

### list

    public void list(java.io.PrintStream out)
              throws Win32Exception

  Throws:
    `Win32Exception`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.